package application;

import java.util.Observable;
import java.util.Observer;

import javafx.scene.Parent;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.scene.text.Text;

/**
 * 
 * @author Lorenz Schauer
 * 
 * Die Anzeige wird nun zum Beobachter durch Implementierung des IFaces Observer
 * Muss also die Update-Methode implementieren
 *
 */
public class Anzeige extends Parent implements Observer {

	private Bank bank;
	
	private Text balance_info;
	
	public Anzeige(Bank bank){
		
		this.bank = bank;
		
		BorderPane root = new BorderPane();
		
		Text header = new Text("Willkommen bei Ihrer Bank!");
		
		root.setTop(header);
		
		header.setId("header");
		
		GridPane gp = new GridPane();
		root.setCenter(gp);
		
		Label c_label = new Label("Ihr Kontostand: ");
		balance_info = new Text(""+bank.getBalance());
		
		TextField tf_einzahlen, tf_auszahlen;
		
		tf_einzahlen = new TextField();
		tf_auszahlen = new TextField();
		
		Button btn_einzahlen = new Button("einzahlen");
		Button btn_auszahlen = new Button("auszahlen");
		
		btn_einzahlen.setOnAction(e -> {
			
			bank.einzahlen(Double.parseDouble(tf_einzahlen.getText()));
			tf_einzahlen.setText("");
		});
		
		btn_auszahlen.setOnAction(e -> {
			
			bank.auszahlen(Double.parseDouble(tf_auszahlen.getText()));
			tf_auszahlen.setText("");
		});
		
		gp.add(c_label, 0, 0);
		gp.add(balance_info, 1, 0);
		
		gp.add(tf_einzahlen, 0, 1);
		gp.add(tf_auszahlen, 1, 1);
		
		gp.add(btn_einzahlen, 0, 2);
		gp.add(btn_auszahlen, 1, 2);
		
		this.getChildren().add(root);
	}
	
	// Implementierung der Update-Methode!
	// Diese wird aufgerufen, wenn sich was am Model gendert hat.
	// In diesem Fall soll unsere View dann einfach den Kontostand neu holen und im Textfeld anzeigen.

	@Override
	public void update(Observable arg0, Object arg1) {	
		balance_info.setText(""+bank.getBalance());
		
	}
	
	
	
	
	
}
