package application;
	
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.stage.Stage;

/**
 * 
 * @author Lorenz Schauer
 * 
 * Hauptklasse fr das Model-View-Controller Beispiel ohne Verwendung des Observer-Pattern.
 * 
 * Anwendung erzeugt 2 parallele Fenster, die das gleiche Model besitzen. Die Anzeige wird aber nicht synchron aktualisiert.
 * 
 *
 */
public class Main extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			
			// Instanz des Models erzeugen
			Bank b = new Bank(100);
			
			// Views erzeugen und das Model bekannt machen ber den Konstruktor
			// Achtung: Hier bei JavaFX verschmelzen View und Controller in einer Klasse
			Anzeige anzeige1 = new Anzeige(b);
			Anzeige anzeige2 = new Anzeige(b);
			
			// Die Views in Szene setzen
			Scene s1 = new Scene(anzeige1);
			Scene s2 = new Scene(anzeige2);
			
			// Die Szene auf die Bhne holen und anzeigen
			primaryStage.setScene(s1);
			primaryStage.show();
			
			Stage secondStage = new Stage();
			secondStage.setScene(s2);
			
			secondStage.show();
			
			
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
